### File

`packages/ecl/components/ecl-site-footer/ecl-site-footer.component.ts`

### Description

The site footer component content provides supplementary information such as a sitemap, copyright and legal notices, privacy and accessibility statements, social media and contact information as well as various links to other important sections within the EC ecosystem.

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `OnDestroy`

### Metadata

selector | `ecl-site-footer`
imports | `AsyncPipe` `EclSiteFooterFixedContentECComponent` `EclSiteFooterFixedContentEUComponent`
templateUrl | `./ecl-site-footer.component.html`

### Index

###### Properties
Public eclThemeService languageCode role
###### Methods
getCssClasses
###### Inputs
isCore class e2eAttr tabindex
###### HostBindings
attr.role class
###### Accessors
cssClasses

### Constructor

`constructor(i18nService: I18nService, eclThemeService: EclThemeService)`
Parameters :
Name | Type | Optional
i18nService | `I18nService` | No
eclThemeService | `EclThemeService` | No

### Inputs

isCore
Type : `boolean`
Default value : `false`
If it's a core site footer. The content of the footer for the Core configuration is specific and all items mandatory.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

attr.role
Type : `string`
Default value : `'contentinfo'`
The role of the component is 'contentinfo' and should not be changed.

class
Type : `string`

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public eclThemeService
Type : `EclThemeService`

languageCode
Type : `string`
Default value : `'en'`
The current language of the page.

role
Type : `string`
Default value : `'contentinfo'`
Decorators : `@HostBinding('attr.role')`
The role of the component is 'contentinfo' and should not be changed.

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""